# src/pixi/extras/TilingSprite.js - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# File: src/pixi/extras/TilingSprite.js

    /**
     * @author Mat Groves http://matgroves.com/
     */

    /**
     * A tiling sprite is a fast way of rendering a tiling image
     * @class TilingSprite
     * @extends DisplayObjectContainer
     * @constructor
     * @param texture {Texture} the texture of the tiling sprite
     * @param width {Number}  the width of the tiling sprite
     * @param height {Number} the height of the tiling sprite
     */
    PIXI.TilingSprite = function(texture, width, height)
    {
    	PIXI.DisplayObjectContainer.call( this );

    	this.texture = texture;
    	this.width = width;
    	this.height = height;
    	this.renderable = true;

    	/**
    	 * The scaling of the image that is being tiled
    	 * @property tileScale
    	 * @type Point
    	 */
    	this.tileScale = new PIXI.Point(1,1);
    	/**
    	 * The offset position of the image that is being tiled
    	 * @property tilePosition
    	 * @type Point
    	 */
    	this.tilePosition = new PIXI.Point(0,0);

    	this.blendMode = PIXI.blendModes.NORMAL
    }

    // constructor
    PIXI.TilingSprite.constructor = PIXI.TilingSprite;
    PIXI.TilingSprite.prototype = Object.create( PIXI.DisplayObjectContainer.prototype );

    PIXI.TilingSprite.prototype.setTexture = function(texture)
    {
    	//TODO SET THE TEXTURES
    	//TODO VISIBILITY

    	// stop current texture
    	this.texture = texture;
    	this.updateFrame = true;
    }

    PIXI.TilingSprite.prototype.onTextureUpdate = function(event)
    {
    	this.updateFrame = true;
    }